Cross-site Scripting (XSS) - Stored in livehelperchat/livehelperchat

Valid

Reported on

Dec 17th 2021


Description

livehelperchat is vulnerable to stored XSS in users profile setting where username, password, repeat password, nickname, name, surname, job title fields are vulnerable to stored XSS.

Proof of Concept

{{ this.constructor.constructor('alert("foo")')() }}

Enter the given payload in the above-mentioned fields.

Impact

stored XSS in the mentioned field as the application provides multi-user functionality.

We are processing your report and will contact the livehelperchat team within 24 hours. a year ago
Remigijus Kiminas validated this vulnerability a year ago
x3rz has been awarded the disclosure bounty
The fix bounty is now up for grabs
Remigijus Kiminas marked this as fixed with commit 55b1e3 a year ago
The fix bounty has been dropped
This vulnerability will not receive a CVE
Remigijus
a year ago

Maintainer


This report is partly invalid because it only effects user account page.

to join this conversation